package com.enteprise.matchAnalysis.controller;

import com.enteprise.common.core.controller.BaseController;
import com.enteprise.common.core.page.TableDataInfo;
import com.enteprise.matchAnalysis.domain.MatchAna;
import com.enteprise.matchAnalysis.domain.dto.MatchDto;
import com.enteprise.matchAnalysis.service.IMatchService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static com.enteprise.util.CommonUtil.startPageL;


@RestController
@RequestMapping("/match/match")
public class MatchController extends BaseController {
    @Autowired
    private IMatchService matchService;

    @PreAuthorize("@ss.hasPermi('match:match:list')")
    @PostMapping("/list")
    public TableDataInfo analysisGrowthRate(@RequestBody MatchAna matchAna)
    {
        Integer pageNum = matchAna.getPageNum();
        Integer pageSize = matchAna.getPageSize();
        List<MatchDto> list = matchService.matchAnalysisList(matchAna);
        return startPageL(list, pageNum, pageSize);
    }
}
